<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Social Engineering Report|Generating a Social&#160;Engineering Details Campaigns Report">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="When you generate the Social Engineering Campaign Details report, there are several options that you can configure to customize the report." /><title>Campaign Report Options</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/se-report-options.html">Open topic with navigation</a>
        </p>
        <h3>Campaign Report Options</h3>
        <p>When you generate the Social Engineering Campaign Details report, there are several options that you can configure to customize the report.</p>
        <h4>Including the Raw HTML in the Report</h4>
        <p><span class="VariablesProductName">Metasploit Pro</span> automatically generates a preview of all web pages that are part of the campaign. An image preview of the web page will render in the report if the web page was used as part of a phishing campaign. If a web page was used to deliver malicious code, such as client-side exploits, Java applets, Browser Autopwn, or executable files, a preview will not display in the report.</p>
        <p>If you want to include the raw HTML that was used to create a web page, you can select the <b class="UISelection">Include web page HTML </b>option on the New Report form. When you enable this option, the raw code will be displayed under each web page preview in the report.</p>
        <h4>Including and Excluding Report Sections</h4>
        <p>By default, the Social Engineering Campaign Details Report includes all sections that are available for the report. However, only sections that are applicable to the campaign will have data present in the report. If a section does not have any data for <span class="VariablesProductName">Metasploit Pro</span> to report on, then the section will be empty in the report.</p>
        <p>For example, if you choose to include the Exploits Used section in your report, but the campaign does not deliver a payload and does not successfully open a session, you will not see any data in the section.</p>
        <p>To include or exclude sections from your report, find the Report Sections area on the <b class="UISelection">New Report </b>form. You will see a list of all the sections that are available in the report, such as the Executive Summary, Social Engineering Funnel, Exploits Used, and Form Submission sections, as well as appendices for the report. Any sections that have a marked check box will automatically be included in the report. To remove any sections, deselect the check box.</p>
        <h4>E-mailing the Generated Report</h4>
        <p><span class="VariablesProductName">Metasploit Pro</span> enables you to automatically e-mail a report after it is generated. To e-mail a report, you need to enable the E-mail report option on the New Report form and specify the e-mails that you want to send the report to. The e-mails that you specify must be comma separated.</p>
        <p>Additionally, before you can e-mail a report, you need to set up the SMTP settings through the Global Settings. If you already have an existing global SMTP server for your campaigns, then <span class="VariablesProductName">Metasploit Pro</span> will just use that mail server to send the e-mails.</p>
        <p>If you do not have a global SMTP server set up, go to <b class="UISelection">Administration &gt; Global Settings &gt; SMTP Settings</b>. You will need to provide <span class="VariablesProductName">Metasploit Pro</span> with the information for your mail server. This information includes the credentials that <span class="VariablesProductName">Metasploit Pro</span> will need to authenticate to the mail server and the domain and SMTP port information for the mail server.</p>
        <h4>Naming the Report</h4>
        <p>By default, <span class="VariablesProductName">Metasploit Pro</span> uses a naming convention that uses the report type and the task number to name the report. You can change the name by replacing the default name in the <b class="UISelection">Report Name</b> field on the <b class="UISelection">New Report</b> form.</p>
    </body>
</html>